"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var constate_1 = tslib_1.__importDefault(require("constate"));
var system_1 = require("./system");
var Container = function (options) {
    var sources = system_1.runSystem(options);
    var pureSources = system_1.extractSources(sources);
    return {
        sources: sources,
        pureSources: pureSources,
    };
};
var _a = constate_1.default(Container), Provider = _a.Provider, Context = _a.Context;
exports.DCProvider = Provider;
exports.DCContext = Context;
var DC = { Provider: Provider, Context: Context };
exports.DC = DC;
